import request from '@/utils/request'
const baseUrl = '/api/service-ai-eis-business-center-eistest/'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/add-out-split-stg',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function update(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/edit-out-stg',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function deletes(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/delete-out-stg',
    method: 'post',
    //   data: params,
    data: params,
  })
}
// 容器任务单区域配置-起点

// /containerTaskStg/detail-source-area
export function Detailapi(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/detail-out-split',
    method: 'post',
    data: params,
    // params: params
  })
}

// 策略配置明细
// /containerTaskStg/detail-target-area
export function DetailTargetAreaapi(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/detail-out-split',
    method: 'post',
    data: params,
    // params: params
  })
}

//   出库任务汇总单拆单策略配置-明细修改
export function EditSourceArea(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/edit-out-split',
    method: 'post',
    data: params,
    // params: params
  })
}

//  出库任务汇总单拆单策略配置修改 POST

export function EditTargetArea(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/outSplitStg/edit-out-stg',
    method: 'post',
    data: params,
    // params: params
  })
}

//
